#ifndef DIYA_INPUT_H
#define DIYA_INPUT_H

#include "shell.h"

#define DIYA_SIGNAL_INPUT_KEYBOARD_ENTER "keyboard-enter"
#define DIYA_SIGNAL_INPUT_KEYBOARD_LEAVE "keyboard-leave"
#define DIYA_SIGNAL_INPUT_KEY_PRESSED "key-pressed"
#define DIYA_SIGNAL_INPUT_KEY_RELEASED "key-released"

#define DIYA_TYPE_INPUT (diya_input_get_type ())
G_DECLARE_FINAL_TYPE (DiyaInput, diya_input, DIYA, INPUT, DiyaShellObject)

DiyaInput* diya_input_new(DiyaShell* shell);
#endif